Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

A StarTree API token or a service token (st-<accessKey>-<secretKey>).

Path Parameters

tokenSrn
string
required

SRN of the service token. The identifier is the token's access key, with # encoded as %23.

Response

The service token.

srn
string
Example:

"srn2:service-token#a1B2c3D4e5F6g7H8"

description
string
Example:

"CI pipeline token for nightly ingestion"

accessKey
string
Example:

"a1B2c3D4e5F6g7H8"

createdAt
string<date-time>
Example:

"2024-09-04T00:28:30.876+00:00"

lastUpdatedAt
string<date-time>
Example:

"2024-09-04T00:28:30.876+00:00"

createdBy
string

SRN of the principal that created the resource. Predefined StarTree resources show startree-rbac-manager.

Example:

"srn:zone:user:default:abcd1234"

lastUpdatedBy
string
Example:

"srn:zone:user:default:abcd1234"